Bug 485003 - lockdep: page faults after EDD probe on an old Pentium II
lockdep: page faults after EDD probe on an old Pentium II
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 22:31 EST by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:15:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2009-02-10 22:31:44 EST
Description of problem:

This is on a Toshiba satellite 335cds (266Mhz Pentium II) using the Fedora 11 Alpha boot.iso.

Loading vmlinuz...
Loading initrd.img...ready.
Probing EDD (edd=off to disable)... 
<pause for a couple of minutes>

BUG: Int 14: CR2 f000ef6f
     EDI c0836400  ESI c0d5d380 EBP c08abe1c ESP c08abe04
     EBX f000ef6f  EDX 0000000e ECX c0841690  EAX f000ef6f
     err (null)  EIP c044b2aa  CS 00000060 flg 00010002
Stack: 00000046 c0841690 c08abe58 c044bd2d (null) (null) (null) c0841690
       (null) c0aa759d c0aa7948 ffffffff ffffffff (null) 00000046 c0841690
       c0836400 c08abecc c044d6d0 (null) (null) (null) (null) c044332c

Passing `edd=off` goes straight to the error above.
Comment 1 Chuck Ebbert 2009-02-12 16:07:01 EST
The oops is happening in lockdep.c ... looks like a lockdep entry got allocated in an invalid memory location.

You could try adding this to the boot options:
   lockdep.prove_locking=0 lockdep.lock_stat=0
or maybe:
   prove_locking=0 lock_stat=0
Comment 2 Chuck Ebbert 2009-02-12 16:12:46 EST
Oops is in kernel/lockdep.c:731:
        list_for_each_entry(class, hash_head, hash_entry) {
Comment 3 Kyle McMartin 2009-02-27 08:51:22 EST
Luke? Can you try with lockdep off? :)
Comment 4 Dave Jones 2009-03-26 14:18:10 EDT
odd that we aren't seeing lots of reports of this.  I wonder if that machine is dying given its age. Luke, give it a spin with memtest for a while?
Comment 5 Chuck Ebbert 2009-04-10 23:15:48 EDT
Should we just close this as INSUFFICIENT_INFORMATION ?
Comment 6 Bug Zapper 2009-06-09 07:16:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Luke Macken 2009-07-10 11:35:49 EDT
I'll dust off the old Toshiba Satellite this weekend and try to reproduce this will the above suggestions.
Comment 8 Luke Macken 2009-07-14 21:32:28 EDT
So when booting with lockdep off I am now hitting this:

   isofs_fill_super: bread failed, dev=md2, iso_blknum=16, block=32
   List of all partitions:
   No filesystem could mount root, tried: ext3 ext4 ext3dev iso9660
   Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(9, 2)

memtest did not show any memory problems, and the machine currently has a linux install on it as well.
Comment 9 Bug Zapper 2010-04-27 08:55:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:15:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.